summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100755
index 0000000..e9668f6
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+set -xe
+
+. /opt/Xilinx/14.7/ISE_DS/settings64.sh
+mkdir -p xst/projnav.tmp
+xst -intstyle ise -ifn piodev1.xst -ofn piodev1.syr
+ngdbuild -intstyle ise -dd _ngo -uc piodev1.ucf -p xc9572xl-VQ64-5 piodev1.ngc piodev1.ngd
+cpldfit -intstyle ise -p xc9572xl-5-VQ64 -ofmt vhdl -optimize speed -htmlrpt -loc on -slew fast -init low -inputs 54 -pterms 25 -unused float -power std -terminate keeper piodev1.ngd
+XSLTProcess piodev1_build.xml
+tsim -intstyle ise piodev1 piodev1.nga
+hprep6 -s IEEE1149 -n piodev1 -i piodev1